import React from 'react';
import Tabs from '@mui/material/Tabs';
import Tab from '@mui/material/Tab';

const CategoryNav = ({ categories, currentCategory, onCategoryChange }) => {
  const handleChange = (event, newValue) => {
    onCategoryChange(newValue);
  };

  return (
    <Tabs
      value={currentCategory}
      onChange={handleChange}
      indicatorColor="primary"
      textColor="primary"
      centered
    >
      {categories.map((category, idx) => (
        <Tab key={category.label} label={category.label} value={idx} />
      ))}
    </Tabs>
  );
};

export default CategoryNav;